<?xml version="1.0" encoding="utf-8"?>
<!-- 注意: 除了手动编辑此文件以外，您还可以使用 Web 管理工具来 
     配置应用程序的设置。可以使用 Visual Studio 中的“网站”->“ASP.NET 配置”
     选项。
     设置和注释的完整列表在
     machine.config.comments 中，该文件通常位于 \Windows\Microsoft.NET\Framework\v2.0.xxxxx\Config 中
 -->
<configuration>
  <!--拒绝所有未登陆的用户-->
  <system.web>
    <authorization >
      <!--允许角色为admin的用户-->
      <allow roles="Administrator"/>
      <!--拒绝未登录的用户-->
      <deny users="*"/>
    </authorization>
  </system.web>
  <!--允许未登陆的用户访问AdminLogin.aspx文件-->
  <location path="AdminLogin.aspx">
    <system.web>
      <authorization>
        <allow users="*"/>
      </authorization>
    </system.web>
  </location>
  <!--允许未登陆的用户访问CreateVerifyCode.aspx文件-->
  <location path="CreateVerifyCode.aspx">
    <system.web>
      <authorization>
        <allow users="*"/>
      </authorization>
    </system.web>
  </location>
  <!--允许未登陆的用户访问CSS文件夹里的内容-->
  <location path="css">
    <system.web>
      <authorization>
        <allow users="*"/>
      </authorization>
    </system.web>
  </location>
  <location path="Themes">
    <system.web>
      <authorization>
        <allow users="*"/>
      </authorization>
    </system.web>
  </location>
  <!--解决AJAX编码问题-->
  <location path="GoodsManagement/AddGoods.aspx">
    <system.web>
      <globalization fileEncoding="utf-8" requestEncoding="utf-8" responseEncoding="utf-8" culture="zh-CN"/>
    </system.web>
  </location>
  <location path="GoodsManagement/UpdateGoods.aspx">
    <system.web>
      <globalization fileEncoding="utf-8" requestEncoding="utf-8" responseEncoding="utf-8" culture="zh-CN"/>
    </system.web>
  </location>
  <location path="GoodsManagement/UpdateAttribute.aspx">
    <system.web>
      <globalization fileEncoding="utf-8" requestEncoding="utf-8" responseEncoding="utf-8" culture="zh-CN"/>
    </system.web>
  </location>
  <location path="GoodsManagement/UpdateParameter.aspx">
    <system.web>
      <globalization fileEncoding="utf-8" requestEncoding="utf-8" responseEncoding="utf-8" culture="zh-CN"/>
    </system.web>
  </location>
  <location path="GoodsManagement/UpdateOption.aspx">
    <system.web>
      <globalization fileEncoding="utf-8" requestEncoding="utf-8" responseEncoding="utf-8" culture="zh-CN"/>
    </system.web>
  </location>
  <location path="GoodsManagement/AddBinding.aspx">
    <system.web>
      <globalization fileEncoding="utf-8" requestEncoding="utf-8" responseEncoding="utf-8" culture="zh-CN"/>
    </system.web>
  </location>
  <location path="SalesPromotion/AddAssembled.aspx">
    <system.web>
      <globalization fileEncoding="utf-8" requestEncoding="utf-8" responseEncoding="utf-8" culture="zh-CN"/>
    </system.web>
  </location>
  <location path="SalesPromotion/AddGift.aspx">
    <system.web>
      <globalization fileEncoding="utf-8" requestEncoding="utf-8" responseEncoding="utf-8" culture="zh-CN"/>
    </system.web>
  </location>
</configuration>

